/*==========Reset Css=========*/
* {border: 0;margin: 0;outline: 0;box-sizing: border-box;padding: 0;line-height: 1;}
html, body {width: 100%;height: 100%;font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;color: #2A2D34;font-size: 16px;}
a {text-decoration: none;color: initial;cursor: pointer;}
a:focus, input:focus {outline: none;}
ul {overflow: hidden;}
li {list-style-type: none;}

/*=========Font Imports==========*/
@font-face {
  font-family: 'Roboto-Light';
  src: url('../fonts/Roboto-Light/Roboto-Light.eot'); /* IE9 Compat Modes */
  src: url('../fonts/Roboto-Light/Roboto-Light.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
       url('../fonts/Roboto-Light/Roboto-Light.woff') format('woff'), /* Pretty Modern Browsers */
       url('../fonts/Roboto-Light/Roboto-Light.ttf')  format('truetype'), /* Safari, Android, iOS */
       url('../fonts/Roboto-Light/Roboto-Light.svg#svgFontName') format('svg'); /* Legacy iOS */
}

/*======Keyframe Animation========*/
@keyframes markerBounce {
  0%, 50%, 100% {transform: translateY(0);}
  20% {transform: translateY(-40px);}
  30% {transform: translateY(0) scaleX(1.25) scaleY(0.75);}
  40% {transform: translateY(-20px);}
}

/*============Layout==============*/
body {font-family: 'Roboto-Light';font-weight: 400;}
h2 {padding: 0 10px 10px;color: #dc8118;font-weight: 400;}
select {cursor: pointer;}
input:disabled, select:disabled {background: #ccc;cursor: not-allowed;}
input[type="checkbox"], input[type="radio"] {display: none;}
textarea {width: 100%;border-radius: 2px;padding: 10px;height: 75px;resize: none;}
.clear {clear: both;}
.show{display: block !important;}
.pointer {cursor: pointer;}
.animate-btn {padding: 15px;width: 100px;background: transparent;border: 1px solid #dc8118;color: #dc8118;cursor: pointer;}
.animate-btn:hover {background: #dc8118;color: #fff;transition: all 0.25s;-webkit-transition: all 0.25s;-moz-transition: all 0.25s;-o-transition: all 0.25s;}
.tooltip {pointer-events: none;position: absolute;z-index: 1003;padding: 4px 8px;font-size: 12px;white-space: nowrap;line-height: 19px;
  background: #000;opacity: 0.9;color: #fff;display: none;border-radius: 2px;box-shadow: 1px 1px 2px rgba(0,0,0,0.1);font-weight: normal;}
.tooltip:before {content: '';position: absolute;width: 0;height: 0;}
.tooltip-parent {position: relative;}
.tooltip-parent:hover .tooltip {display: block;}
.tooltip.tooltip-bottom {left: 50%;top: 120%;-webkit-transform: translateX(-50%);transform: translateX(-50%);}
.tooltip.tooltip-bottom:before {top: -5px;left: 50%;margin-left: -6px;border-left: 6px solid transparent;border-right: 6px solid transparent;border-bottom: 6px solid rgba(0,0,0,0.9);}
#map-canvas {width: 100%;height: 100%;position: absolute;left: 0;top: 0;z-index: -1;}
.loader {display: none;}
.loader, .loader-wrapper {position: absolute;left: 0;right: 0;top: 0;bottom: 0;background: rgba(0, 0, 0, 0.85);z-index: 999999;}
.loader-wrapper {background: url('../images/loader.gif') no-repeat center top;width: 100px;height: 100px;color: #ddd;margin: auto;text-align: center;padding: 80px 0 0;}
.content-wrapper{width: 100%;height: 100%;background: rgba(0, 0, 0, 0.85);overflow: auto;}
.header {text-align: center;background: #dc8118;color: #fff;padding: 15px;border-bottom: 1px solid #dc8118;position: relative;font-weight: 400;}
.logoutBtn, .goToMapsBtn {position: absolute;width: 36px;height: 36px;border-radius: 50%;background: #000 url('../images/logout-btn.png') no-repeat 8px 6px;right: 20px;top: 16px}
.goToMapsBtn {background: #000 url('../images/map-icon.png') no-repeat center;right: 70px;}
.content {padding: 40px 30px;overflow: hidden;max-width: 1165px;margin: 0 auto;}
.admin-access.dashboard-content, .details-content {max-width: 1400px;padding: 20px;}
.admin-access.dashboard-content {display: -webkit-flex;display: flex;}
.home-heading {margin: 0 0 5px;}
.error-container {padding: 0 10px;margin: 0;overflow: hidden;height: 0;transition: all 0.5s;-webkit-transition: all 0.5s;-moz-transition: all 0.5s;-o-transition: all 0.5s;}
.error-container.error-active {height: 36px;margin: 10px 0 20px;}
.error-msg {color: #ffffff;text-align: center;padding: 10px;border-radius: 2px;background: #808080;}
.tileSection {float: left;width: 20%;color: #fff;margin: 0 0 15px 0;padding: 0 10px;}
.client-section {overflow: hidden;}
.users-section {float: left;width: 40%;padding: 0 5px;border-left: 1px solid #dc8118;}
.admin-access .client-section {float: left;width: 60%;border-right: 1px solid #dc8118;padding: 0 10px 0 0;}
.admin-access .tileSection {width: 33.33%;}
.tileSection div {height: 45px;background: rgba(0,0,0,0.5);cursor: pointer;position: relative;overflow: hidden;padding: 15px 60px 15px 15px;white-space: nowrap;overflow: hidden;
  text-overflow: ellipsis;transition: all 0.3s;-webkit-transition: all 0.3s;-moz-transition: all 0.3s;-o-transition: all 0.3s;}
.tileSection div:hover {background: #000;}
.toggler, .toggler:before, .delete-icon:before, .edit-icon, .save-icon:before, .cancel-icon {
  transition: all 0.35s;-webkit-transition: all 0.35s;-moz-transition: all 0.35s;-o-transition: all 0.35s;}
.toggler {width: 35px;height: 16px;background: #ccc;border-radius: 10px;position: absolute;top: 15px;right: 15px;}
.toggler:before {content: '';position: absolute;left: 0;top: -2px;width: 20px;height: 20px;border-radius: 50%;background: #808080;}
.toggler.active {background: #dc8118;}
.toggler.active:before {left: 19px;}
.addNewTile div {border: 1px dashed #fff;padding-top: 14px;}
.add-icon {position: absolute;top: 15px;right: 15px;width: 16px;height: 16px;background: url('../images/add-icon.png') no-repeat center;}
.users-list {padding: 10px;color: #fff;}
.heading-row {border-bottom: 1px solid #dc8118;margin: 0 0 10px;}
.heading-row {overflow: hidden;}
.user-row:hover, .user-row.active {background: #000;}
.user-row.active {border-top: 1px solid #fff;border-bottom: 1px solid #fff;padding: 5px 0 0;}
.user-row.active.add-user {overflow: visible;}
.name-wrapper {position: relative;}
.user-row:after {content: '';clear: both;display: table;}
.users-list input:focus + .ad-list {display: block;}
.ad-list {position: absolute;top: 45px;display: none;width: 100%;padding: 0 20px 0 0;}
.ad-list ul {background: #292929;border-radius: 2px;max-height: 400px;overflow: auto;padding: 8px 0;}
.ad-list li {padding: 7px 15px;cursor: pointer;}
.ad-list li:hover {background: #000;}
.user-row.add-user .email-label:after {content: '';clear: both;}
.edit-icon, .delete-icon, .save-icon, .cancel-icon {float: right;width: 16px;height: 16px;cursor: pointer;
  background: url('../images/edit-icon.png') no-repeat center;pointer-events: all;}
.delete-icon {background: transparent;margin: 0 0 0 15px;position: relative;}
.delete-icon:before, .delete-icon:after {content: '';position: absolute;width: 100%;height: 5px;top: 0;left: 0;background: url('../images/delete-icon.png') no-repeat center 0;}
.delete-icon:after {height: 11px;top: auto;bottom: 0;left: 0;background-position: center -5px;}
.save-icon {position: relative;height: 18px;width: 18px;background: transparent;margin: 4px 0 0;}
.save-icon:before, .save-icon:after {content: '';position: absolute;left: 0;bottom: 0;width: 100%;height: 8px;background: url('../images/save-icon.png') no-repeat center -13px;}
.save-icon:after {top: 0;bottom: auto;left: 0;background-position: center 0;height: 12px;}
.save-icon:hover:before {bottom: -3px;}
.cancel-icon {width: 13px;height: 13px;background-image: url('../images/cancel-icon.png');margin: 5px 1px 0 14px;}
.cancel-icon:hover {transform: rotate(90deg);-webkit-transform: rotate(90deg);-moz-transform: rotate(90deg);-o-transform: rotate(90deg);-ms-transform: rotate(90deg);}
.user-row:hover .delete-icon:before {transform: rotate(20deg);left: 1px;}
.user-row:hover .edit-icon {transform: rotate(-90deg);}
.users-list label {float: left;width: 50%;padding: 10px;pointer-events: none;}
.users-list .add-user label, .users-list label.name-wrapper {pointer-events: all;}
.users-list label.user-heading {width: 100%;padding-bottom: 0;}
.users-list input, .users-list select {padding: 7px;border-radius: 2px;height: 30px;pointer-events: all;}
.users-list .name-wrapper input {width: 100%;}
.users-list .add-icon {float: left;margin: 0 8px 0 0;position: static;}
.users-list .email-label {padding: 0 10px 10px;margin: 0 0 5px;width: 100%;}
.users-list .email-label input {width: 100%;}
.left-content {padding: 0 20px 0 10px;overflow: hidden;float: left;width: 40%;}
.right-content {padding: 28px 10px 0 0;float: left;width: 60%;}
.location-wrapper {overflow: hidden;padding: 0 10px;}
.map-section {float: left;width: 70%;position: relative;}
.location-section {float: left;width: 30%;padding: 0 0 0 20px;}
.location-wrapper .row {padding: 0;}
.searchField {position: absolute;top: 10px;left: 10px;width: 250px;padding: 10px 15px;z-index: 999;border-radius: 2px;}
.pac-logo:after {display: none !important;}
.location-map {height: 380px;}
.row {margin: 0 0 10px;overflow: hidden;float: left;width: 100%;padding: 0 20px 0 0;}
.short-row {width: 40%;}
.medium-row {width: 60%;}
.radio-row {width: 25%;padding: 0;}
.checkbox-row {width: 75%;padding: 0 20px;border-left: 1px solid #dc8118;}
.description-row {margin: 0 0 25px;}
.row label {color: #fff;padding: 7px 0 6px;float: left;width: 100%;}
.row > input {padding: 7px 10px;border-radius: 2px;float: left;width: 100%;}
.checkbox-wrapper, .radio-wrapper {float: left;width: 100%;}
.radio-wrapper label, .checkbox-wrapper label {width: 100%;padding: 7px 3px 6px 20px;cursor: pointer;position: relative;}
.vertical-fields {float: left;width: 55%;}
.horizontal-fields {float: left;width: 45%;padding: 0 0 0 20px;}
.radio-wrapper input, .checkbox-wrapper input {vertical-align: middle;margin: 0 5px 0 0;}
.location-section .marker-row {text-align: center;margin: 0 0 20px;padding: 35px 0 0;}
.marker {display: inline-block;width: 50px;height: 100px;background: url('../images/marker.png') no-repeat center;animation: markerBounce 3s infinite;}
.marker-row label {color: #dc8118;}
.details-wrapper {overflow: hidden;}
.projects-wrapper {padding: 20px 0 0;border-top: 1px solid #dc8118;}
.projectList {margin: 10px 0 0;overflow: hidden;}
.button-wrapper {text-align: center;margin: 15px 0 25px 0;}
.save-btn {margin: 0 10px;}
.save-btn:hover .tooltip {display: none;}
.save-btn:disabled {color: #ccc;border-color: #ccc;cursor: not-allowed;}
.save-btn:disabled:hover {color: #000;background: #ccc;}
.save-btn:disabled:hover .tooltip {display: block;}
.projectList .tileSection {width: 25%;}
.form-content {overflow: hidden;padding: 10px;}
.project-content .row {padding: 0 15px 0 0;float: left;}
.section {width: 50%;float: left;}
.project-content .radio-wrapper label {width: 20%;}
.project-content .button-wrapper {margin: 30px 0 0;}
.project-content textarea {height: 97px;}

/*=========Custom Checkbox and Radio button=======*/
.custom-checkbox, .custom-radio {width: 15px;height: 15px;border: 1px solid #dc8118;border-radius: 2px;cursor: pointer;left: 0;top: 8px;position: absolute;}
.custom-checkbox, .custom-radio, .custom-checkbox:before, .custom-radio:before {
  transition: all 0.2s;-webkit-transition: all 0.2s;-moz-transition: all 0.2s;-o-transition: all 0.2s;}
.custom-checkbox:before {content: '\2713';font-size: 13px;color: #000;position: absolute;top: 1px;left: 1px;font-weight: 700;opacity: 0;}
.custom-radio:before {content: '';position: absolute;width: 5px;height: 5px;background: #000;top: 4px;left: 4px;border-radius: 50%;opacity: 0;}
input[type="checkbox"]:checked + .custom-checkbox, input[type="radio"]:checked + .custom-radio {background: #dc8118;}
input[type="checkbox"]:checked + .custom-checkbox:before, input[type="radio"]:checked + .custom-radio:before {opacity: 1;}
.custom-radio {border-radius: 50%;}

/*===============Custom Scroll===============*/
::-webkit-scrollbar {
    width: 10px;
}
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    background: #8a8a8a;
    -webkit-box-shadow: inset 0 0 3px rgba(0,0,0,.75);
    box-shadow: inset 0 0 3px rgba(0,0,0,.75);
}